---
services:
  speedtest-tracker:
    image: lscr.io/linuxserver/speedtest-tracker:latest
    container_name: speedtest-tracker
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
      - APP_KEY="base64:GJ5Y8fMM4vDA1ee88KlxPeljuVSwZT2yRxxXwrU29Jc="
      - APP_URL="https://speedtesttracker.domr.ovh"
      - DB_CONNECTION=sqlite
      - SPEEDTEST_SCHEDULE= 25 */2 * * *
      - SPEEDTEST_SERVERS=
#      - DB_HOST= #optional
#      - DB_PORT= #optional
#      - DB_DATABASE= #optional
#      - DB_USERNAME= #optional
#      - DB_PASSWORD= #optional
      - DISPLAY_TIMEZONE=Europe/Berlin #optional
#      - PRUNE_RESULTS_OLDER_THAN=0 #optional
    volumes:
      - /home/soenke/docker-data/speedtest-tracker/data:/config
    ports:
      - 1378:80
    restart: unless-stopped
    labels:
      kuma.tools.tag.name: 'Tools'
      kuma.tools.tag.color: '#FF9900'
      kuma.homelab.tag.name: 'Homelab'
      kuma.homelab.tag.color: '#FF9955'
      kuma.organization.tag.name: 'Organization'
      kuma.organization.tag.color: '#FF99AA'
      kuma.speedtesttracker.http.name: 'speedtesttracker'
      kuma.speedtesttracker.http.url: 'https://speedtesttracker.domr.ovh/'
      kuma.speedtesttracker.http.tag_names: '[{"name": "tools", "value": "" }, {"name": "homelab", "value": "" }]'
